Bug 950593 - FormatDestroyError: error wiping old signatures from /dev/mapper/mpatha: 1 [NEEDINFO]
FormatDestroyError: error wiping old signatures from /dev/mapper/mpatha: 1
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
ppc64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:1267df4af48ac7628c33cd824d3...
:
Depends On:
Blocks: F19PPCBeta/F19PPCBetaBlocker/PPCBetaBlocker
  Show dependency treegraph
 
Reported: 2013-04-10 09:16 EDT by Mark Hamzy
Modified: 2014-06-23 10:41 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 10:41:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bcl: needinfo?


Attachments (Terms of Use)
File: anaconda-tb (933.74 KB, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details
File: anaconda.log (12.55 KB, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details
File: backtrace (1.06 KB, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details
File: environ (842 bytes, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details
File: ifcfg.log (398 bytes, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details
File: lsblk_output (3.20 KB, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details
File: nmcli_dev_list (1.25 KB, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details
File: packaging.log (587.91 KB, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details
File: program.log (32.40 KB, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details
File: storage.log (186.13 KB, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details
File: syslog (73.05 KB, text/plain)
2013-04-10 09:17 EDT, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2013-04-10 09:16:39 EDT
Description of problem:
I chose automatic partitioning after reclaiming the entire multipath drive.
The following was filed automatically by anaconda:
anaconda 19.16-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 326, in destroy
    raise FormatDestroyError(msg)
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 527, in execute
    self.format.destroy()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 241, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 298, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 157, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 119, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
FormatDestroyError: error wiping old signatures from /dev/mapper/mpatha: 1

Version-Release number of selected component:
anaconda-19.16-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   ro  inst.vnc inst.sshd ip=9.114.214.127::9.114.214.254:255.255.255.0:riley6.stglabs.ibm.com:eth0:none nameserver=9.114.8.1
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc4.git0.1.fc19.ppc64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 119, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 157, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 298, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 241, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 527, in execute
    self.format.destroy()
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 326, in destroy
    raise FormatDestroyError(msg)
FormatDestroyError: error wiping old signatures from /dev/mapper/mpatha: 1
Comment 1 Mark Hamzy 2013-04-10 09:17:12 EDT
Created attachment 733681 [details]
File: anaconda-tb
Comment 2 Mark Hamzy 2013-04-10 09:17:18 EDT
Created attachment 733682 [details]
File: anaconda.log
Comment 3 Mark Hamzy 2013-04-10 09:17:25 EDT
Created attachment 733684 [details]
File: backtrace
Comment 4 Mark Hamzy 2013-04-10 09:17:32 EDT
Created attachment 733686 [details]
File: environ
Comment 5 Mark Hamzy 2013-04-10 09:17:35 EDT
Created attachment 733687 [details]
File: ifcfg.log
Comment 6 Mark Hamzy 2013-04-10 09:17:40 EDT
Created attachment 733689 [details]
File: lsblk_output
Comment 7 Mark Hamzy 2013-04-10 09:17:43 EDT
Created attachment 733690 [details]
File: nmcli_dev_list
Comment 8 Mark Hamzy 2013-04-10 09:17:48 EDT
Created attachment 733691 [details]
File: packaging.log
Comment 9 Mark Hamzy 2013-04-10 09:17:53 EDT
Created attachment 733692 [details]
File: program.log
Comment 10 Mark Hamzy 2013-04-10 09:17:55 EDT
Created attachment 733693 [details]
File: storage.log
Comment 11 Mark Hamzy 2013-04-10 09:17:58 EDT
Created attachment 733694 [details]
File: syslog
Comment 12 Mark Hamzy 2013-04-10 09:29:14 EDT
[anaconda root@riley6 ~]# wipefs /dev/mapper/mpatha
offset               type
----------------------------------------------------------------
0x1fe                dos   [partition table]

[anaconda root@riley6 ~]# echo $?
0
[anaconda root@riley6 ~]# wipefs -a /dev/mapper/mpatha
wipefs: error: /dev/mapper/mpatha: probing initialization failed: Device or resource busy

[anaconda root@riley6 ~]# wipefs -f -a /dev/mapper/mpatha
/dev/mapper/mpatha: 2 bytes were erased at offset 0x000001fe (dos): 55 aa
Comment 13 Jaroslav Reznik 2013-04-11 10:29:05 EDT
Discussed at 2013-04-11 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-04-10/f19alpha-blocker-review-6.2013-04-10-16.00.log.html problems with mpath storage do not violate any F19 Alpha release criteria and thus, this bug is rejected as a blocker for F19 Alpha.
Comment 14 Leslie Satenstein 2013-04-26 12:28:22 EDT
Description of problem:
I asked to delete the full disk that only was defined as a gpt drive (SDD).  The error message appears to indicate that the software had problems with /dev/sdd1

Other than that, I have no other idea.

Version-Release number of selected component:
anaconda-19.20-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Alpha\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc6.git2.3.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Alpha

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 119, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 162, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 303, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 527, in execute
    self.format.destroy()
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 326, in destroy
    raise FormatDestroyError(msg)
FormatDestroyError: error wiping old signatures from /dev/sdd: 1
Comment 15 Leslie Satenstein 2013-04-26 13:09:04 EDT
Description of problem:
I took a 256g drive, formatted it to gpt, put a 10gig for swap at the far end, and left the other part unallocated. 
Swap was activated.

Drive is /dev/sdd with gpt.   I will do a second test with formatting all partitions 

Version-Release number of selected component:
anaconda-19.20-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Alpha\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc6.git2.3.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Alpha

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 119, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 162, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 303, in doIt
    self.devicetree.processActions()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 237, in processActions
    action.execute()
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 527, in execute
    self.format.destroy()
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 326, in destroy
    raise FormatDestroyError(msg)
FormatDestroyError: error wiping old signatures from /dev/sdd: 1
Comment 16 Brian Lane 2013-07-15 20:28:40 EDT
Please retry with the F19 release (v19.30.13) and if it still happens attach the anaconda-tb-* file to this bug.
Comment 17 David Shea 2014-02-28 10:35:22 EST
This looks like the culprit:

13:12:58,036 INFO kernel:[   53.178608] bio: create slab <bio-2> at 2
13:12:58,036 ERR kernel:[   53.181844] BUG: sleeping function called from invalid context at kernel/rcutree.c:2314
13:12:58,036 ERR kernel:[   53.181848] in_atomic(): 1, irqs_disabled(): 0, pid: 962, name: multipath
13:12:58,036 WARNING kernel:[   53.181851] 1 lock held by multipath/962:
13:12:58,036 WARNING kernel:[   53.181853]  #0:  (&md->type_lock){+.+.+.}, at: [<c0000000006ebbd8>] .dm_lock_md_type+0x28/0x40
13:12:58,036 WARNING kernel:[   53.181866] Call Trace:
13:12:58,036 WARNING kernel:[   53.181871] [c00000002e9533e0] [c000000000016cb0] .show_stack+0x130/0x200 (unreliable)
13:12:58,036 WARNING kernel:[   53.181877] [c00000002e9534b0] [c0000000000f3d18] .__might_sleep+0x1c8/0x2d0
13:12:58,036 WARNING kernel:[   53.181882] [c00000002e953540] [c00000000019b9e0] .synchronize_sched+0x50/0x180
13:12:58,036 WARNING kernel:[   53.181886] [c00000002e9535c0] [c00000000044a6a0] .blk_queue_bypass_start+0xa0/0xf0
13:12:58,036 WARNING kernel:[   53.181891] [c00000002e953640] [c00000000046beb0] .blkcg_activate_policy+0xc0/0x4c0
13:12:58,036 WARNING kernel:[   53.181895] [c00000002e953710] [c000000000474330] .cfq_init_queue+0xb0/0x3c0
13:12:58,036 WARNING kernel:[   53.181899] [c00000002e9537b0] [c000000000444458] .elevator_init+0x98/0x190
13:12:58,036 WARNING kernel:[   53.181903] [c00000002e953840] [c000000000450490] .blk_init_allocated_queue+0xa0/0xf0
13:12:58,036 WARNING kernel:[   53.181907] [c00000002e9538d0] [c0000000006ebd50] .dm_setup_md_queue+0x60/0xe0
13:12:58,036 WARNING kernel:[   53.181911] [c00000002e953950] [c0000000006f3bc4] .table_load+0x224/0x3d0
13:12:58,036 WARNING kernel:[   53.181915] [c00000002e953a20] [c0000000006f4d50] .ctl_ioctl+0x2d0/0x610
13:12:58,036 WARNING kernel:[   53.181918] [c00000002e953c10] [c0000000006f50c0] .dm_ctl_ioctl+0x30/0x50
13:12:58,036 WARNING kernel:[   53.181923] [c00000002e953c90] [c00000000029ed1c] .do_vfs_ioctl+0x52c/0x840
13:12:58,036 WARNING kernel:[   53.181927] [c00000002e953d80] [c00000000029f104] .SyS_ioctl+0xd4/0xf0
13:12:58,036 WARNING kernel:[   53.181932] [c00000002e953e30] [c000000000009ce0] syscall_exit+0x0/0x98
13:12:58,036 ERR kernel:[   53.181935] BUG: scheduling while atomic: multipath/962/0x10000002
13:12:58,036 WARNING kernel:[   53.181937] 1 lock held by multipath/962:
Comment 18 Josh Boyer 2014-02-28 11:02:18 EST
3.9.0-0.rc4.git0.1.fc19.ppc64 huh?  That's from a year ago.

Does this happen with rawhide?  We can't fix anything on install media for F19 or F20.
Comment 19 Justin M. Forbes 2014-06-23 10:41:43 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.